import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface TeamMembersConfig extends cdktf.TerraformMetaArguments {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/team_members#team_id TeamMembers#team_id}.
     *
     * @stability stable
     */
    readonly teamId: string;
    /**
     * members block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/team_members#members TeamMembers#members}
     *
     * @stability stable
     */
    readonly members: TeamMembersMembers[] | cdktf.IResolvable;
}
/**
 * @stability stable
 */
export interface TeamMembersMembers {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/team_members#role TeamMembers#role}.
     *
     * @stability stable
     */
    readonly role?: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/team_members#username TeamMembers#username}.
     *
     * @stability stable
     */
    readonly username: string;
}
export declare function teamMembersMembersToTerraform(struct?: TeamMembersMembers | cdktf.IResolvable): any;
/**
 * Represents a {@link https://www.terraform.io/docs/providers/github/r/team_members github_team_members}.
 *
 * @stability stable
 */
export declare class TeamMembers extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    static readonly tfResourceType: string;
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/github/r/team_members github_team_members} Resource.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: TeamMembersConfig);
    /**
     * @stability stable
     */
    get etag(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _teamId?;
    /**
     * @stability stable
     */
    get teamId(): string;
    /**
     * @stability stable
     */
    set teamId(value: string);
    /**
     * @stability stable
     */
    get teamIdInput(): string | undefined;
    private _members?;
    /**
     * @stability stable
     */
    get members(): TeamMembersMembers[] | cdktf.IResolvable;
    /**
     * @stability stable
     */
    set members(value: TeamMembersMembers[] | cdktf.IResolvable);
    /**
     * @stability stable
     */
    get membersInput(): cdktf.IResolvable | TeamMembersMembers[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
